* configure.ac: this.
+2001-07-17 Akim Demaille <akim@epita.fr>
+
+ * configure.in: Rename as...
+ * configure.ac: this.
+
2001-07-17 Akim Demaille <akim@epita.fr>
* Makefile.am (INSTALL.txt): Don't use $@ and $< in non suffix
## acversion.m4. ##
# - acversion.m4 needs to be updated only once, since it depends on
-# configure.in, not on the results of a 'configure' run.
-# - It is guaranteed (with GNU Make) that when the version in configure.in
+# configure.ac, not on the results of a 'configure' run.
+# - It is guaranteed (with GNU Make) that when the version in configure.ac
# is changed, acversion.m4 is built only after the new version number is
# propagated to the Makefile. (Libtool uses the same guarantee.)
-$(srcdir)/acversion.m4: $(srcdir)/acversion.in $(srcdir)/configure.in
+$(srcdir)/acversion.m4: $(srcdir)/acversion.in $(srcdir)/configure.ac
sed 's,@VERSION\@,$(VERSION),g' $(srcdir)/acversion.in >acversion.tm4
mv acversion.tm4 $(srcdir)/acversion.m4
-e 's,@VERSION\@,$(VERSION),g' \
-e 's,@PACKAGE_NAME\@,$(PACKAGE_NAME),g'
-## All the scripts below depend on configure.in so that they are rebuilt
+## All the scripts below depend on configure.ac so that they are rebuilt
## when the Autoconf version changes. Unfortunately, suffix rules cannot
## have additional dependencies, so we have to use explicit rules for
## every script.
-autoconf: $(srcdir)/autoconf.in $(srcdir)/configure.in
+autoconf: $(srcdir)/autoconf.in $(srcdir)/configure.ac
rm -f autoconf autoconf.tmp
$(edit) $(srcdir)/autoconf.in >autoconf.tmp
chmod +x autoconf.tmp
$(move_if_change) autoconf.tmp autoconf
-autoheader: $(srcdir)/autoheader.in $(srcdir)/configure.in
+autoheader: $(srcdir)/autoheader.in $(srcdir)/configure.ac
rm -f autoheader autoheader.tmp
$(edit) $(srcdir)/autoheader.in >autoheader.tmp
chmod +x autoheader.tmp
$(move_if_change) autoheader.tmp autoheader
-autoreconf: $(srcdir)/autoreconf.in $(srcdir)/configure.in
+autoreconf: $(srcdir)/autoreconf.in $(srcdir)/configure.ac
rm -f autoreconf autoreconf.tmp
$(edit) $(srcdir)/autoreconf.in >autoreconf.tmp
chmod +x autoreconf.tmp
$(move_if_change) autoreconf.tmp autoreconf
-autoupdate: $(srcdir)/autoupdate.in $(srcdir)/configure.in
+autoupdate: $(srcdir)/autoupdate.in $(srcdir)/configure.ac
rm -f autoupdate autoupdate.tmp
$(edit) $(srcdir)/autoupdate.in >autoupdate.tmp
chmod +x autoupdate.tmp
$(move_if_change) autoupdate.tmp autoupdate
-ifnames: $(srcdir)/ifnames.in $(srcdir)/configure.in
+ifnames: $(srcdir)/ifnames.in $(srcdir)/configure.ac
rm -f ifnames ifnames.tmp
$(edit) $(srcdir)/ifnames.in >ifnames.tmp
chmod +x ifnames.tmp
$(move_if_change) ifnames.tmp ifnames
-autoscan: $(srcdir)/autoscan.in $(srcdir)/configure.in
+autoscan: $(srcdir)/autoscan.in $(srcdir)/configure.ac
rm -f autoscan autoscan.tmp
$(edit) $(srcdir)/autoscan.in >autoscan.tmp
chmod +x autoscan.tmp
DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
Makefile.in NEWS README-alpha THANKS TODO aclocal.m4 configure \
-configure.in
+configure.ac
DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
all: all-redirect
.SUFFIXES:
.SUFFIXES: .m4 .m4f
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
&& CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
-config.status: $(srcdir)/configure.in $(CONFIG_STATUS_DEPENDENCIES)
+config.status: $(srcdir)/configure.ac $(CONFIG_STATUS_DEPENDENCIES)
$(SHELL) ./config.status --recheck
-$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
+$(srcdir)/configure: $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
cd $(srcdir) && $(AUTOCONF)
install-binSCRIPTS: $(bin_SCRIPTS)
# - acversion.m4 needs to be updated only once, since it depends on
-# configure.in, not on the results of a 'configure' run.
-# - It is guaranteed (with GNU Make) that when the version in configure.in
+# configure.ac, not on the results of a 'configure' run.
+# - It is guaranteed (with GNU Make) that when the version in configure.ac
# is changed, acversion.m4 is built only after the new version number is
# propagated to the Makefile. (Libtool uses the same guarantee.)
-$(srcdir)/acversion.m4: $(srcdir)/acversion.in $(srcdir)/configure.in
+$(srcdir)/acversion.m4: $(srcdir)/acversion.in $(srcdir)/configure.ac
sed 's,@VERSION\@,$(VERSION),g' $(srcdir)/acversion.in >acversion.tm4
mv acversion.tm4 $(srcdir)/acversion.m4
INSTALL.txt: $(top_srcdir)/doc/install.texi
$(INSTALL_DATA) $$d$$p.txt $(DESTDIR)$(pkgdatadir)/$$f; \
done
-autoconf: $(srcdir)/autoconf.in $(srcdir)/configure.in
+autoconf: $(srcdir)/autoconf.in $(srcdir)/configure.ac
rm -f autoconf autoconf.tmp
$(edit) $(srcdir)/autoconf.in >autoconf.tmp
chmod +x autoconf.tmp
$(move_if_change) autoconf.tmp autoconf
-autoheader: $(srcdir)/autoheader.in $(srcdir)/configure.in
+autoheader: $(srcdir)/autoheader.in $(srcdir)/configure.ac
rm -f autoheader autoheader.tmp
$(edit) $(srcdir)/autoheader.in >autoheader.tmp
chmod +x autoheader.tmp
$(move_if_change) autoheader.tmp autoheader
-autoreconf: $(srcdir)/autoreconf.in $(srcdir)/configure.in
+autoreconf: $(srcdir)/autoreconf.in $(srcdir)/configure.ac
rm -f autoreconf autoreconf.tmp
$(edit) $(srcdir)/autoreconf.in >autoreconf.tmp
chmod +x autoreconf.tmp
$(move_if_change) autoreconf.tmp autoreconf
-autoupdate: $(srcdir)/autoupdate.in $(srcdir)/configure.in
+autoupdate: $(srcdir)/autoupdate.in $(srcdir)/configure.ac
rm -f autoupdate autoupdate.tmp
$(edit) $(srcdir)/autoupdate.in >autoupdate.tmp
chmod +x autoupdate.tmp
$(move_if_change) autoupdate.tmp autoupdate
-ifnames: $(srcdir)/ifnames.in $(srcdir)/configure.in
+ifnames: $(srcdir)/ifnames.in $(srcdir)/configure.ac
rm -f ifnames ifnames.tmp
$(edit) $(srcdir)/ifnames.in >ifnames.tmp
chmod +x ifnames.tmp
$(move_if_change) ifnames.tmp ifnames
-autoscan: $(srcdir)/autoscan.in $(srcdir)/configure.in
+autoscan: $(srcdir)/autoscan.in $(srcdir)/configure.ac
rm -f autoscan autoscan.tmp
$(edit) $(srcdir)/autoscan.in >autoscan.tmp
chmod +x autoscan.tmp
-* Major changes in Autoconf 2.50c -*- outline -*-
+* Major changes in Autoconf 2.50d -*- outline -*-
** Documentation
- AC_ARG_VAR
- Quadrigraphs
- AC_F77_DUMMY_MAIN, AC_F77_MAIN: new macros to detect whether
a main-like routine is required/possible when linking C/C++ with
Fortran. Users of e.g. AC_F77_WRAPPERS should be aware of these.
-[2.50b]
+[2.50][2.50a][2.50b][2.50c]
\f
* Major changes in Autoconf 2.50
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu config/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
#! /bin/sh
# Common stub for a few missing GNU programs while installing.
-# Copyright 1996, 1997, 1999, 2000 Free Software Foundation, Inc.
-# Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
+# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
+# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
exit 1
fi
-run=:
-
-if test -f configure.ac; then
- configure_ac=configure.ac
-else
- configure_ac=configure.in
-fi
-
-case "$1" in
---run)
- # Try to run requested program, and just exit if it succeeds.
- run=
- shift
- "$@" && exit 0
- ;;
-esac
-
-# If it does not exist, or fails to run (possibly an outdated version),
-# try to emulate it.
case "$1" in
-h|--h|--he|--hel|--help)
Options:
-h, --help display this help and exit
-v, --version output version information and exit
- --run try to run the given command, and emulate it if it fails
Supported PROGRAM values:
aclocal touch file \`aclocal.m4'
automake touch all \`Makefile.in' files
bison create \`y.tab.[ch]', if possible, from existing .[ch]
flex create \`lex.yy.c', if possible, from existing .c
- help2man touch the output file
lex create \`lex.yy.c', if possible, from existing .c
makeinfo touch the output file
- tar try tar, gnutar, gtar, then tar without non-portable flags
yacc create \`y.tab.[ch]', if possible, from existing .[ch]"
;;
-v|--v|--ve|--ver|--vers|--versi|--versio|--version)
- echo "missing 0.3 - GNU automake"
+ echo "missing - GNU libit 0.0"
;;
-*)
aclocal)
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
- you modified \`acinclude.m4' or \`${configure_ac}'. You might want
+ you modified \`acinclude.m4' or \`configure.in'. You might want
to install the \`Automake' and \`Perl' packages. Grab them from
any GNU archive site."
touch aclocal.m4
autoconf)
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
- you modified \`${configure_ac}'. You might want to install the
+ you modified \`configure.in'. You might want to install the
\`Autoconf' and \`GNU m4' packages. Grab them from any GNU
archive site."
touch configure
autoheader)
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
- you modified \`acconfig.h' or \`${configure_ac}'. You might want
+ you modified \`acconfig.h' or \`configure.in'. You might want
to install the \`Autoconf' and \`GNU m4' packages. Grab them
from any GNU archive site."
- files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
+ files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' configure.in`
test -z "$files" && files="config.h"
touch_files=
for f in $files; do
automake)
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
- you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
+ you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
You might want to install the \`Automake' and \`Perl' packages.
Grab them from any GNU archive site."
find . -type f -name Makefile.am -print |
fi
;;
- help2man)
- echo 1>&2 "\
-WARNING: \`$1' is missing on your system. You should only need it if
- you modified a dependency of a manual page. You may need the
- \`Help2man' package in order for those modifications to take
- effect. You can get \`Help2man' from any GNU archive site."
-
- file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
- if test -z "$file"; then
- file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
- fi
- if [ -f "$file" ]; then
- touch $file
- else
- test -z "$file" || exec >$file
- echo ".ab help2man is required to generate this page"
- exit 1
- fi
- ;;
-
makeinfo)
echo 1>&2 "\
WARNING: \`$1' is missing on your system. You should only need it if
touch $file
;;
- tar)
- shift
- if test -n "$run"; then
- echo 1>&2 "ERROR: \`tar' requires --run"
- exit 1
- fi
-
- # We have already tried tar in the generic part.
- # Look for gnutar/gtar before invocation to avoid ugly error
- # messages.
- if (gnutar --version > /dev/null 2>&1); then
- gnutar ${1+"$@"} && exit 0
- fi
- if (gtar --version > /dev/null 2>&1); then
- gtar ${1+"$@"} && exit 0
- fi
- firstarg="$1"
- if shift; then
- case "$firstarg" in
- *o*)
- firstarg=`echo "$firstarg" | sed s/o//`
- tar "$firstarg" ${1+"$@"} && exit 0
- ;;
- esac
- case "$firstarg" in
- *h*)
- firstarg=`echo "$firstarg" | sed s/h//`
- tar "$firstarg" ${1+"$@"} && exit 0
- ;;
- esac
- fi
-
- echo 1>&2 "\
-WARNING: I can't seem to be able to run \`tar' with the given arguments.
- You may want to install GNU tar or Free paxutils, or check the
- command line arguments."
- exit 1
- ;;
-
*)
echo 1>&2 "\
WARNING: \`$1' is needed, and you do not seem to have it handy on your
# AC_SUBSTS here too.
ac_config_files="$ac_config_files Makefile m4/Makefile man/Makefile doc/Makefile config/Makefile tests/Makefile tests/atconfig"
+
cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:1499: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:1500: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:1667: error: ambiguous option: $1
+ { { echo "$as_me:1668: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
'tests/atconfig' ) CONFIG_FILES="$CONFIG_FILES tests/atconfig" ;;
# This is an error.
- -*) { { echo "$as_me:1695: error: unrecognized option: $1
+ -*) { { echo "$as_me:1696: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
- *) { { echo "$as_me:1700: error: invalid argument: $1" >&5
+ *) { { echo "$as_me:1701: error: invalid argument: $1" >&5
echo "$as_me: error: invalid argument: $1" >&2;}
{ (exit 1); exit 1; }; };;
esac
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:1925: creating $ac_file" >&5
+ { echo "$as_me:1926: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:1943: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:1944: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:1956: error: cannot find input file: $f" >&5
+ { { echo "$as_me:1957: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
+# -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.
AC_PREREQ(2.50)
AC_INIT(GNU Autoconf, 2.50d, bug-autoconf@gnu.org)
AC_SUBST(PACKAGE)
AC_SUBST(VERSION)
-AC_OUTPUT(Makefile m4/Makefile man/Makefile doc/Makefile config/Makefile
- tests/Makefile tests/atconfig)
+AC_CONFIG_FILES(Makefile m4/Makefile man/Makefile doc/Makefile config/Makefile
+ tests/Makefile tests/atconfig)
+
+AC_OUTPUT
# Report the state of this version of Autoconf if this is a beta.
case AC_PACKAGE_VERSION in
all: all-redirect
.SUFFIXES:
.SUFFIXES: .dvi .info .ps .texi .texinfo .txi
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
$(srcdir)/version.texi: stamp-vti
@:
-$(srcdir)/stamp-vti: autoconf.texi $(top_srcdir)/configure.in
+$(srcdir)/stamp-vti: autoconf.texi $(top_srcdir)/configure.ac
@echo "@set UPDATED `$(SHELL) $(top_srcdir)/config/mdate-sh $(srcdir)/autoconf.texi`" > vti.tmp
@echo "@set EDITION $(VERSION)" >> vti.tmp
@echo "@set VERSION $(VERSION)" >> vti.tmp
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu m4/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
EXTRA_DIST = $(man_MANS) $(man_aux) common.x
MAINTAINERCLEANFILES = $(man_MANS)
-# Depend on configure.in to get version number changes.
-common_dep = $(top_srcdir)/configure.in $(srcdir)/common.x
+# Depend on configure.ac to get version number changes.
+common_dep = $(top_srcdir)/configure.ac $(srcdir)/common.x
autoconf.1: $(common_dep) $(srcdir)/autoconf.x $(top_srcdir)/autoconf.in
autoreconf.1: $(common_dep) $(srcdir)/autoreconf.x $(top_srcdir)/autoreconf.in
autoheader.1: $(common_dep) $(srcdir)/autoheader.x $(top_srcdir)/autoheader.in
EXTRA_DIST = $(man_MANS) $(man_aux) common.x
MAINTAINERCLEANFILES = $(man_MANS)
-# Depend on configure.in to get version number changes.
-common_dep = $(top_srcdir)/configure.in $(srcdir)/common.x
+# Depend on configure.ac to get version number changes.
+common_dep = $(top_srcdir)/configure.ac $(srcdir)/common.x
SUFFIXES = .x .1
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
all: all-redirect
.SUFFIXES:
.SUFFIXES: .1 .x
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnu man/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOCONF "1" "July 2001" "GNU Autoconf 2.50c" FSF
+.TH AUTOCONF "1" "July 2001" "GNU Autoconf 2.50d" FSF
.SH NAME
autoconf \- Generate configuration scripts
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOHEADER "1" "July 2001" "GNU Autoconf 2.50c" FSF
+.TH AUTOHEADER "1" "July 2001" "GNU Autoconf 2.50d" FSF
.SH NAME
autoheader \- Create a template header for configure
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTORECONF "1" "July 2001" "GNU Autoconf 2.50c" FSF
+.TH AUTORECONF "1" "July 2001" "GNU Autoconf 2.50d" FSF
.SH NAME
autoreconf \- Update generated configuration files
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOSCAN "1" "July 2001" "GNU Autoconf 2.50c" FSF
+.TH AUTOSCAN "1" "July 2001" "GNU Autoconf 2.50d" FSF
.SH NAME
autoscan \- Generate a preliminary configure.in
.SH SYNOPSIS
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH AUTOUPDATE "1" "July 2001" "GNU Autoconf 2.50c" FSF
+.TH AUTOUPDATE "1" "July 2001" "GNU Autoconf 2.50d" FSF
.SH NAME
autoupdate \- Update a configure.in to a newer Autoconf
.SH SYNOPSIS
GNU M4 1.4 or above
.TP
AUTOCONF
-autoconf 2.50c
+autoconf 2.50d
.SH AUTHOR
Written by David J. MacKenzie and Akim Demaille.
.PP
.\" DO NOT MODIFY THIS FILE! It was generated by help2man 1.24.
-.TH IFNAMES "1" "July 2001" "GNU Autoconf 2.50c" FSF
+.TH IFNAMES "1" "July 2001" "GNU Autoconf 2.50d" FSF
.SH NAME
ifnames \- Extract CPP conditionals from a set of files
.SH SYNOPSIS
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
+$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
cd $(top_srcdir) && $(AUTOMAKE) --gnits tests/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)